Raritan PX2/PX3 JSON-RPC API

MemoryMapController.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6 #include "Controller.idl"
7
8 /** PDU Model */
9 module pdumodel {
10
11 /** Memory map controller */
12 interface MemoryMapController_4_0_1 extends Controller_4_0_1 {
13
14 /**
15 * Read a given number of bytes from an address
16 *
17 * @param address The address to read
18 * @param size The number of bytes to read
19 * @param memory The vector with the read bytes
20 *
21 * @return 0 if OK
22 * @return an error code otherwise
23 */
24 int readMemory(in int address, in int size, out vector<byte> memory);
25 /**
26 * Write bytes to an address
27 *
28 * @param address The address to write
29 * @param memory The vector with the bytes to write
30 *
31 * @return 0 if OK
32 * @return an error code otherwise
33 */
34 int writeMemory(in int address, in vector<byte> memory);
35
36 };
37
38 }
pdumodel::MemoryMapController_4_0_1
Memory map controller.
Definition: MemoryMapController.idl:12
pdumodel::Controller_4_0_1
Slave controller interface.
Definition: Controller.idl:26
pdumodel
PDU Model.
Definition: Ade.idl:12